<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TravelInsurancePrice
 *
 * @ORM\Table(name="travel_insurance_price", indexes={@ORM\Index(name="FK_travel_insurance_price_travel_insurance", columns={"insurance_id"})})
 * @ORM\Entity(repositoryClass="AppBundle\Entity\TravelInsurancePriceRepository")
 */
class TravelInsurancePrice
{
    /**
     * @var float
     *
     * @ORM\Column(name="border", type="float", precision=10, scale=2, nullable=true)
     */
    private $border;

    /**
     * @var float
     *
     * @ORM\Column(name="price", type="float", precision=10, scale=2, nullable=true)
     */
    private $price;

    /**
     * @var float
     *
     * @ORM\Column(name="percent", type="float", precision=10, scale=2, nullable=true)
     */
    private $percent;

    /**
     * @var string
     *
     * @ORM\Column(name="code", type="string", length=255, nullable=true)
     */
    private $code;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var \AppBundle\Entity\TravelInsurance
     *
     * @ORM\ManyToOne(targetEntity="AppBundle\Entity\TravelInsurance", inversedBy="prices")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="insurance_id", referencedColumnName="id")
     * })
     */
    private $insurance;



    /**
     * Set border
     *
     * @param float $border
     *
     * @return TravelInsurancePrice
     */
    public function setBorder($border)
    {
        $this->border = $border;

        return $this;
    }

    /**
     * Get border
     *
     * @return float
     */
    public function getBorder()
    {
        return $this->border;
    }

    /**
     * Set price
     *
     * @param float $price
     *
     * @return TravelInsurancePrice
     */
    public function setPrice($price)
    {
        $this->price = $price;

        return $this;
    }

    /**
     * Get price
     *
     * @return float
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * Set percent
     *
     * @param float $percent
     *
     * @return TravelInsurancePrice
     */
    public function setPercent($percent)
    {
        $this->percent = $percent;

        return $this;
    }

    /**
     * Get percent
     *
     * @return float
     */
    public function getPercent()
    {
        return $this->percent;
    }

    /**
     * Set code
     *
     * @param string $code
     *
     * @return TravelInsurancePrice
     */
    public function setCode($code)
    {
        $this->code = $code;

        return $this;
    }

    /**
     * Get code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->code;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set insurance
     *
     * @param \AppBundle\Entity\TravelInsurance $insurance
     *
     * @return TravelInsurancePrice
     */
    public function setInsurance(\AppBundle\Entity\TravelInsurance $insurance = null)
    {
        $this->insurance = $insurance;

        return $this;
    }

    /**
     * Get insurance
     *
     * @return \AppBundle\Entity\TravelInsurance
     */
    public function getInsurance()
    {
        return $this->insurance;
    }
}
